org.apache.xmlbeans.impl.tool

## Class TypeHierarchyPrinter

- java.lang.Object
- - org.apache.xmlbeans.impl.tool.TypeHierarchyPrinter

-     public class TypeHierarchyPrinter
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeHierarchyPrinter()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)`
    `static void` | `printUsage()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeHierarchyPrinter

          public TypeHierarchyPrinter()

  - ### Method Detail

    - #### printUsage

          public static void printUsage()

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`